読者です 読者をやめる 読者になる 読者になる

ねこ元帥の中の人@リウマチ

日々の覚書など。ブログ名はオンラインゲームのアカウント名をいつも「ねこ元帥」にしているから。そして、2013年11月リウマチと診断されたとです。(2012年11月から時々手足に原因不明の痛みが発生、2013年9月以降は足の痛みが常態化、2013年12月30日からMTX服用開始、4月過ぎるころにはわずかの痛みが残る程度まで回復して現在に至る。)

lubuntu 14.04 Desktop 32bitインストール

Ubuntu 14.04がリリースされたのでeeePCVAIO type Pのlubuntuを再インストールしたが、インストール後のパッケージアップデートで以下のエラーが表示される。

$ sudo aptitude update
Fetched 12.3 MB in 54(226 kB/s)
W: gzip:/var/lib/apt/lists/partial/jp.archive.ubuntu.com_ubuntu_dists_trusty_universe_source_Sources を取得できませんで した: ハッシュサムが適合しません
W: gzip:/var/lib/apt/lists/partial/jp.archive.ubuntu.com_ubuntu_dists_trusty_universe_binary-i386_Packages を取得できま せんでした: ハッシュサムが適合しません
E: Some index files failed to download. They have been ignored, or old ones used instead.
E: パッケージキャッシュを再構築できませんでした

いくつか試してみたがエラー解消できず。

$ sudo rm /var/lib/apt/lists/partial/jp.archive.ubuntu.com_ubuntu_dists_trusty_universe_source_Sources
$ sudo rm /var/lib/apt/lists/partial/jp.archive.ubuntu.com_ubuntu_dists_trusty_universe_binary-i386_Packages
$ sudo aptitude update
⇒エラー解消せず

$ sudo rm /var/cache/apt/*.bin
$ sudo aptitude update
⇒エラー解消せず

$ sudo aptitude clean
$ sudo aptitude update
⇒エラー解消せず


Japanese Teamのパッケージリポジトリを追加したらエラーでなくなった。

$ wget -q https://www.ubuntulinux.jp/ubuntu-ja-archive-keyring.gpg -O- | sudo apt-key add -
$ wget -q https://www.ubuntulinux.jp/ubuntu-jp-ppa-keyring.gpg -O- | sudo apt-key add -
$ sudo wget https://www.ubuntulinux.jp/sources.list.d/trusty.list -O /etc/apt/sources.list.d/ubuntu-ja.list
$ sudo aptitude update
$ sudo aptitude install ubuntu-defaults-ja